Index: squid/snmplib/mib.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/mib.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/snmplib/mib.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/mib.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.76.1
@@ -1,7 +1,5 @@
-
 /***********************************************************
 	Copyright 1988, 1989 by Carnegie Mellon University
-
                       All Rights Reserved
 
 Permission to use, copy, modify, and distribute this software and its 
@@ -107,14 +105,16 @@
     if (days == 0) {
 	snprintf(buf, 32, "%d:%02d:%02d", hours, minutes, seconds);
     } else if (days == 1) {
-	snprintf(buf, 32, "%d day, %d:%02d:%02d", days, hours, minutes, seconds);
+	snprintf(buf, 32, "%d day, %d:%02d:%02d", days, hours, minutes,
+	    seconds);
     } else {
-	snprintf(buf, 32, "%d days, %d:%02d:%02d", days, hours, minutes, seconds);
+	snprintf(buf, 32, "%d days, %d:%02d:%02d", days, hours, minutes,
+	    seconds);
     }
     return buf;
 }
 
-static void 
+static void
 sprint_hexstring(buf, cp, len)
      char *buf;
      u_char *cp;
@@ -122,10 +122,12 @@
 {
 
     for (; len >= 16; len -= 16) {
-	snprintf(buf, 26, "%02X %02X %02X %02X %02X %02X %02X %02X ", cp[0], cp[1], cp[2], cp[3], cp[4], cp[5], cp[6], cp[7]);
+	snprintf(buf, 26, "%02X %02X %02X %02X %02X %02X %02X %02X ", cp[0],
+	    cp[1], cp[2], cp[3], cp[4], cp[5], cp[6], cp[7]);
 	buf += strlen(buf);
 	cp += 8;
-	snprintf(buf, 26, "%02X %02X %02X %02X %02X %02X %02X %02X\n", cp[0], cp[1], cp[2], cp[3], cp[4], cp[5], cp[6], cp[7]);
+	snprintf(buf, 26, "%02X %02X %02X %02X %02X %02X %02X %02X\n", cp[0],
+	    cp[1], cp[2], cp[3], cp[4], cp[5], cp[6], cp[7]);
 	buf += strlen(buf);
 	cp += 8;
     }
@@ -136,7 +138,7 @@
     *buf = '\0';
 }
 
-static void 
+static void
 sprint_asciistring(buf, cp, len)
      char *buf;
      u_char *cp;
@@ -256,8 +258,7 @@
 	buf += strlen(buf);
     }
     sprintf(buf, "(%u) %s",
-	*(var->val.integer),
-	uptimeString(*(var->val.integer), timebuf));
+	*(var->val.integer), uptimeString(*(var->val.integer), timebuf));
 }
 
 static void
@@ -479,8 +480,7 @@
 
 static struct snmp_mib_tree *get_symbol();
 
-oid RFC1066_MIB[] =
-{1, 3, 6, 1, 2, 1};
+oid RFC1066_MIB[] = { 1, 3, 6, 1, 2, 1 };
 unsigned char RFC1066_MIB_text[] = ".iso.org.dod.internet.mgmt.mib";
 struct snmp_mib_tree *Mib;
 
@@ -531,7 +531,7 @@
 }
 #endif
 
-void 
+void
 init_mib(char *file)
 {
     if (Mib != NULL)
@@ -609,8 +609,7 @@
      * No empty strings.  Can happen if there is a trailing '.' or two '.'s
      * in a row, i.e. "..".
      */
-    if ((*input == '\0') ||
-	(*input == '.'))
+    if ((*input == '\0') || (*input == '.'))
 	return (0);
 
     if (isdigit(*input)) {
@@ -630,8 +629,7 @@
 	/*
 	 * Read the name into a buffer.
 	 */
-	while ((*input != '\0') &&
-	    (*input != '.')) {
+	while ((*input != '\0') && (*input != '.')) {
 	    *to++ = *input++;
 	}
 	*to = '\0';
@@ -669,12 +667,13 @@
     if (*input != '.')
 	return (1);
     if ((*out_len =
-	    parse_subtree(tp ? tp->child_list : NULL, ++input, output, out_len)) == 0)
+	    parse_subtree(tp ? tp->child_list : NULL, ++input, output,
+	out_len)) == 0)
 	return (0);
     return (++*out_len);
 }
 
-int 
+int
 read_objid(input, output, out_len)
      char *input;
      oid *output;
@@ -709,7 +708,7 @@
     return (1);
 }
 
-void 
+void
 print_objid(objid, objidlen)
      oid *objid;
      int objidlen;		/* number of subidentifiers */
@@ -723,7 +722,7 @@
 
 }
 
-void 
+void
 sprint_objid(buf, objid, objidlen)
      char *buf;
      oid *objid;
@@ -736,7 +735,7 @@
 }
 
 #if 0
-void 
+void
 print_variable(objid, objidlen, pvariable)
      oid *objid;
      int objidlen;
@@ -748,7 +747,8 @@
     *buf = '.';			/* this is a fully qualified name */
     subtree = get_symbol(objid, objidlen, subtree, buf + 1);
     cp = buf;
-    if ((strlen(buf) >= strlen((char *) RFC1066_MIB_text)) && !memcmp(buf, (char *) RFC1066_MIB_text,
+    if ((strlen(buf) >= strlen((char *) RFC1066_MIB_text))
+	&& !memcmp(buf, (char *) RFC1066_MIB_text,
 	    strlen((char *) RFC1066_MIB_text))) {
 	cp += sizeof(RFC1066_MIB_text);
     }
@@ -763,7 +763,7 @@
 }
 
 
-void 
+void
 sprint_variable(buf, objid, objidlen, pvariable)
      char *buf;
      oid *objid;
@@ -776,7 +776,8 @@
     *tempbuf = '.';		/* this is a fully qualified name */
     subtree = get_symbol(objid, objidlen, subtree, tempbuf + 1);
     cp = tempbuf;
-    if ((strlen(buf) >= strlen((char *) RFC1066_MIB_text)) && !memcmp(buf, (char *) RFC1066_MIB_text,
+    if ((strlen(buf) >= strlen((char *) RFC1066_MIB_text))
+	&& !memcmp(buf, (char *) RFC1066_MIB_text,
 	    strlen((char *) RFC1066_MIB_text))) {
 	cp += sizeof(RFC1066_MIB_text);
     }
@@ -790,7 +791,7 @@
     strcat(buf, "\n");
 }
 
-void 
+void
 sprint_value(buf, objid, objidlen, pvariable)
      char *buf;
      oid *objid;
@@ -808,7 +809,7 @@
     }
 }
 
-void 
+void
 print_value(objid, objidlen, pvariable)
      oid *objid;
      int objidlen;
@@ -858,7 +859,8 @@
 	    buf++;
 	*buf++ = '.';
 	*buf = '\0';
-	return_tree = get_symbol(objid + 1, objidlen - 1, subtree->child_list, buf);
+	return_tree =
+	    get_symbol(objid + 1, objidlen - 1, subtree->child_list, buf);
     }
     if (return_tree != NULL)
 	return return_tree;
@@ -870,20 +872,21 @@
 
 
 #if 0
-void 
+void
 print_variable_list(variable_list * V)
 {
     print_variable(V->name, V->name_length, V);
 }
 
-void 
+void
 print_variable_list_value(variable_list * pvariable)
 {
     char buf[512];
     struct snmp_mib_tree *subtree = Mib;
 
     *buf = '.';			/* this is a fully qualified name */
-    subtree = get_symbol(pvariable->name, pvariable->name_length, subtree, buf + 1);
+    subtree =
+	get_symbol(pvariable->name, pvariable->name_length, subtree, buf + 1);
     *buf = '\0';
 
     if (subtree->printer)
@@ -895,7 +898,7 @@
 }
 #endif
 
-void 
+void
 print_type(variable_list * var)
 {
     switch (var->type) {
@@ -932,7 +935,7 @@
     }
 }
 
-void 
+void
 print_oid_nums(oid * O, int len)
 {
     int x;
Index: squid/snmplib/parse.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/parse.c,v
retrieving revision 1.1.1.2.70.1
retrieving revision 1.1.1.2.70.1.2.1
diff -u -r1.1.1.2.70.1 -r1.1.1.2.70.1.2.1
--- squid/snmplib/parse.c	15 Jul 2001 08:49:37 -0000	1.1.1.2.70.1
+++ squid/snmplib/parse.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.70.1.2.1
@@ -1,6 +1,5 @@
 /***********************************************************
 	Copyright 1989 by Carnegie Mellon University
-
                       All Rights Reserved
 
 Permission to use, copy, modify, and distribute this software and its 
@@ -75,7 +74,6 @@
 #include <assert.h>
 #endif
 
-
 #include "asn1.h"
 #include "snmp_vars.h"
 #include "parse.h"
@@ -89,7 +87,8 @@
  * or a textual string label, or both.
  * The subid is -1 if not present, and label is NULL if not present.
  */
-struct subid {
+struct subid
+{
     int subid;
     char *label;
 };
@@ -97,7 +96,8 @@
 /*
  * A linked list of nodes.
  */
-struct node {
+struct node
+{
     struct node *next;
     char label[64];		/* This node's (unique) textual name */
     u_int subid;		/* This node's integer subidentifier */
@@ -108,11 +108,6 @@
 
 int Line = 1;
 
-#ifdef _SQUID_MSWIN_
-#undef OPAQUE
-#undef OPTIONAL
-#endif
-
 /* types of tokens */
 #define	CONTINUE    -1
 #define ENDOFFILE   0
@@ -158,7 +153,8 @@
 #define INDEX       36
 #define QUOTE       37
 
-struct tok {
+struct tok
+{
     char *name;			/* token name */
     int len;			/* length not counting nul */
     int token;			/* value */
@@ -167,52 +163,90 @@
 };
 
 
-struct tok tokens[] =
-{
-    {"obsolete", sizeof("obsolete") - 1, OBSOLETE},
-    {"Opaque", sizeof("Opaque") - 1, OPAQUE},
-    {"recommended", sizeof("recommended") - 1, RECOMMENDED},
-    {"optional", sizeof("optional") - 1, OPTIONAL},
-    {"mandatory", sizeof("mandatory") - 1, MANDATORY},
-    {"current", sizeof("current") - 1, MANDATORY},
-    {"not-accessible", sizeof("not-accessible") - 1, NOACCESS},
-    {"write-only", sizeof("write-only") - 1, WRITEONLY},
-    {"read-write", sizeof("read-write") - 1, READWRITE},
-    {"TimeTicks", sizeof("TimeTicks") - 1, TIMETICKS},
-    {"OBJECTIDENTIFIER", sizeof("OBJECTIDENTIFIER") - 1, OBJID},
-	/*
-	 * This CONTINUE appends the next word onto OBJECT,
-	 * hopefully matching OBJECTIDENTIFIER above.
-	 */
-    {"OBJECT", sizeof("OBJECT") - 1, CONTINUE},
-    {"NetworkAddress", sizeof("NetworkAddress") - 1, NETADDR},
-    {"Gauge", sizeof("Gauge") - 1, GAUGE},
-    {"OCTETSTRING", sizeof("OCTETSTRING") - 1, OCTETSTR},
-    {"OCTET", sizeof("OCTET") - 1, -1},
-    {"OF", sizeof("OF") - 1, OF},
-    {"SEQUENCE", sizeof("SEQUENCE") - 1, SEQUENCE},
-    {"NULL", sizeof("NULL") - 1, NUL},
-    {"IpAddress", sizeof("IpAddress") - 1, IPADDR},
-    {"INTEGER", sizeof("INTEGER") - 1, INTEGER},
-    {"Counter", sizeof("Counter") - 1, COUNTER},
-    {"read-only", sizeof("read-only") - 1, READONLY},
-    {"ACCESS", sizeof("ACCESS") - 1, ACCESS},
-    {"MAX-ACCESS", sizeof("MAX-ACCESS") - 1, ACCESS},
-    {"STATUS", sizeof("STATUS") - 1, STATUS},
-    {"SYNTAX", sizeof("SYNTAX") - 1, SYNTAX},
-    {"OBJECT-TYPE", sizeof("OBJECT-TYPE") - 1, OBJTYPE},
-    {"{", sizeof("{") - 1, LEFTBRACKET},
-    {"}", sizeof("}") - 1, RIGHTBRACKET},
-    {"::=", sizeof("::=") - 1, EQUALS},
-    {"(", sizeof("(") - 1, LEFTPAREN},
-    {")", sizeof(")") - 1, RIGHTPAREN},
-    {",", sizeof(",") - 1, COMMA},
-    {"DESCRIPTION", sizeof("DESCRIPTION") - 1, DESCRIPTION},
-    {"INDEX", sizeof("INDEX") - 1, INDEX},
-    {"\"", sizeof("\"") - 1, QUOTE},
-    {"END", sizeof("END") - 1, ENDOFFILE},
+struct tok tokens[] = {
+    {"obsolete", sizeof("obsolete") - 1, OBSOLETE}
+    ,
+    {"Opaque", sizeof("Opaque") - 1, OPAQUE}
+    ,
+    {"recommended", sizeof("recommended") - 1, RECOMMENDED}
+    ,
+    {"optional", sizeof("optional") - 1, OPTIONAL}
+    ,
+    {"mandatory", sizeof("mandatory") - 1, MANDATORY}
+    ,
+    {"current", sizeof("current") - 1, MANDATORY}
+    ,
+    {"not-accessible", sizeof("not-accessible") - 1, NOACCESS}
+    ,
+    {"write-only", sizeof("write-only") - 1, WRITEONLY}
+    ,
+    {"read-write", sizeof("read-write") - 1, READWRITE}
+    ,
+    {"TimeTicks", sizeof("TimeTicks") - 1, TIMETICKS}
+    ,
+    {"OBJECTIDENTIFIER", sizeof("OBJECTIDENTIFIER") - 1, OBJID}
+    ,
+    /*
+     * This CONTINUE appends the next word onto OBJECT,
+     * hopefully matching OBJECTIDENTIFIER above.
+     */
+    {"OBJECT", sizeof("OBJECT") - 1, CONTINUE}
+    ,
+    {"NetworkAddress", sizeof("NetworkAddress") - 1, NETADDR}
+    ,
+    {"Gauge", sizeof("Gauge") - 1, GAUGE}
+    ,
+    {"OCTETSTRING", sizeof("OCTETSTRING") - 1, OCTETSTR}
+    ,
+    {"OCTET", sizeof("OCTET") - 1, -1}
+    ,
+    {"OF", sizeof("OF") - 1, OF}
+    ,
+    {"SEQUENCE", sizeof("SEQUENCE") - 1, SEQUENCE}
+    ,
+    {"NULL", sizeof("NULL") - 1, NUL}
+    ,
+    {"IpAddress", sizeof("IpAddress") - 1, IPADDR}
+    ,
+    {"INTEGER", sizeof("INTEGER") - 1, INTEGER}
+    ,
+    {"Counter", sizeof("Counter") - 1, COUNTER}
+    ,
+    {"read-only", sizeof("read-only") - 1, READONLY}
+    ,
+    {"ACCESS", sizeof("ACCESS") - 1, ACCESS}
+    ,
+    {"MAX-ACCESS", sizeof("MAX-ACCESS") - 1, ACCESS}
+    ,
+    {"STATUS", sizeof("STATUS") - 1, STATUS}
+    ,
+    {"SYNTAX", sizeof("SYNTAX") - 1, SYNTAX}
+    ,
+    {"OBJECT-TYPE", sizeof("OBJECT-TYPE") - 1, OBJTYPE}
+    ,
+    {"{", sizeof("{") - 1, LEFTBRACKET}
+    ,
+    {"}", sizeof("}") - 1, RIGHTBRACKET}
+    ,
+    {"::=", sizeof("::=") - 1, EQUALS}
+    ,
+    {"(", sizeof("(") - 1, LEFTPAREN}
+    ,
+    {")", sizeof(")") - 1, RIGHTPAREN}
+    ,
+    {",", sizeof(",") - 1, COMMA}
+    ,
+    {"DESCRIPTION", sizeof("DESCRIPTION") - 1, DESCRIPTION}
+    ,
+    {"INDEX", sizeof("INDEX") - 1, INDEX}
+    ,
+    {"\"", sizeof("\"") - 1, QUOTE}
+    ,
+    {"END", sizeof("END") - 1, ENDOFFILE}
+    ,
 /* Hacks for easier MIBFILE coercing */
-    {"read-create", sizeof("read-create") - 1, READWRITE},
+    {"read-create", sizeof("read-create") - 1, READWRITE}
+    ,
     {NULL}
 };
 
@@ -397,7 +431,7 @@
 	    if (oldnp == NULL) {
 		*headp = np->next;	/* fix root of node list */
 	    } else {
-		oldnp->next = np->next;		/* link around this node */
+		oldnp->next = np->next;	/* link around this node */
 	    }
 	}
     }
@@ -472,13 +506,15 @@
 	}
     }
     if (nodes_left) {
-	snmplib_debug(0, "The mib description doesn't seem to be consistent.\n");
-	snmplib_debug(0, "Some nodes couldn't be linked under the \"iso\" tree.\n");
+	snmplib_debug(0,
+	    "The mib description doesn't seem to be consistent.\n");
+	snmplib_debug(0,
+	    "Some nodes couldn't be linked under the \"iso\" tree.\n");
 	snmplib_debug(0, "these nodes are left:\n");
 	for (bucket = 0; bucket < NHASHSIZE; bucket++) {
 	    for (np = nbuckets[bucket]; np; np = np->next)
-		snmplib_debug(5, "%s ::= { %s %d } (%d)\n", np->label, np->parent, np->subid,
-		    np->type);
+		snmplib_debug(5, "%s ::= { %s %d } (%d)\n", np->label,
+		    np->parent, np->subid, np->type);
 	}
     }
     return tp;
@@ -521,8 +557,7 @@
 	if (ch == '\n')
 	    Line++;
 	if (isspace(ch) || ch == '(' || ch == ')' ||
-	    ch == '{' || ch == '}' || ch == ',' ||
-	    ch == '"') {
+	    ch == '{' || ch == '}' || ch == ',' || ch == '"') {
 	    if (!isspace(ch) && *token == 0) {
 		hash += ch;
 		*cp++ = ch;
@@ -610,7 +645,8 @@
 		if (type == NUMBER) {
 		    SubOid->subid = atoi(token);
 		    if ((type = get_token(fp, token)) != RIGHTPAREN) {
-			print_error("Unexpected a closing parenthesis", token, type);
+			print_error("Unexpected a closing parenthesis", token,
+			    type);
 			return 0;
 		    }
 		} else {
@@ -677,8 +713,8 @@
 	 * For each parent-child subid pair in the subid array,
 	 * create a node and link it into the node list.
 	 */
-	for (count = 0, op = SubOid, nop = SubOid + 1; count < (length - 2); count++,
-	    op++, nop++) {
+	for (count = 0, op = SubOid, nop = SubOid + 1; count < (length - 2);
+	    count++, op++, nop++) {
 	    /* every node must have parent's name and child's name or number */
 	    if (op->label && (nop->label || (nop->subid != -1))) {
 		strcpy(np->parent, op->label);
@@ -709,7 +745,8 @@
 		if (nop->subid != -1)
 		    np->subid = nop->subid;
 		else
-		    print_error("Warning: This entry is pretty silly", np->label, type);
+		    print_error("Warning: This entry is pretty silly",
+			np->label, type);
 	    } else {
 		free_node(np);
 		if (oldnp)
@@ -894,7 +931,8 @@
 	return 0;
     }
     type = get_token(fp, token);
-    if (type != MANDATORY && type != OPTIONAL && type != OBSOLETE && type != RECOMMENDED) {
+    if (type != MANDATORY && type != OPTIONAL && type != OBSOLETE
+	&& type != RECOMMENDED) {
 	print_error("Bad status", token, type);
 	free_node(np);
 	return 0;
@@ -1029,7 +1067,8 @@
 		/* first link in chain */
 		np = root = parse_objecttype(fp, name);
 		if (np == NULL) {
-		    print_error("Bad parse of object type", (char *) NULL, type);
+		    print_error("Bad parse of object type", (char *) NULL,
+			type);
 		    return NULL;
 		}
 	    } else {
@@ -1053,7 +1092,8 @@
 	    } else {
 		np->next = parse_objectid(fp, name);
 		if (np->next == NULL) {
-		    print_error("Bad parse of object type", (char *) NULL, type);
+		    print_error("Bad parse of object type", (char *) NULL,
+			type);
 		    return NULL;
 		}
 	    }
Index: squid/snmplib/snmp_api.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_api.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/snmplib/snmp_api.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/snmp_api.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.76.1
@@ -1,5 +1,3 @@
-
-
 /**********************************************************************
  *
  *           Copyright 1997 by Carnegie Mellon University
@@ -24,6 +22,7 @@
  * 
  **********************************************************************/
 
+#define SNMP_API_C
 #include "config.h"
 
 #include <stdio.h>
@@ -107,8 +106,7 @@
  */
 
 
-oid default_enterprise[] =
-{1, 3, 6, 1, 4, 1, 3, 1, 1};	/* enterprises.cmu.systems.cmuSNMP */
+oid default_enterprise[] = { 1, 3, 6, 1, 4, 1, 3, 1, 1 };	/* enterprises.cmu.systems.cmuSNMP */
 
 #define DEFAULT_COMMUNITY   "public"
 #define DEFAULT_RETRIES	    4
@@ -128,7 +126,7 @@
  */
 static int Reqid = 0;
 
-static void 
+static void
 init_snmp(void)
 {
     struct timeval tv;
@@ -142,7 +140,7 @@
 /*
  * Free each element in the input request list.
  */
-static void 
+static void
 free_request_list(rp)
      struct request_list *rp;
 {
@@ -191,7 +189,9 @@
 	return (NULL);
     }
     /* Internal session */
-    isp = (struct snmp_internal_session *) xmalloc(sizeof(struct snmp_internal_session));
+    isp =
+	(struct snmp_internal_session *) xmalloc(sizeof(struct
+	  snmp_internal_session));
     if (isp == NULL) {
 	xfree(slp);
 	snmp_set_api_error(SNMPERR_OS_ERR);
@@ -209,7 +209,8 @@
 	snmp_set_api_error(SNMPERR_OS_ERR);
 	return (NULL);
     }
-    xmemcpy((char *) slp->session, (char *) session, sizeof(struct snmp_session));
+    xmemcpy((char *) slp->session, (char *) session,
+	sizeof(struct snmp_session));
     session = slp->session;
     /* now link it in. */
     slp->next = Sessions;
@@ -237,7 +238,8 @@
     if (session->community_len != SNMP_DEFAULT_COMMUNITY_LEN) {
 	cp = (u_char *) xmalloc((unsigned) session->community_len);
 	if (cp)
-	    xmemcpy((char *) cp, (char *) session->community, session->community_len);
+	    xmemcpy((char *) cp, (char *) session->community,
+		session->community_len);
     } else {
 	session->community_len = strlen(DEFAULT_COMMUNITY);
 	cp = (u_char *) xmalloc((unsigned) session->community_len);
@@ -344,12 +346,12 @@
  * dequeues any pending requests, and closes any sockets allocated for
  * the session.  Returns 0 on error, 1 otherwise.
  */
-int 
+int
 snmp_close(struct snmp_session *session)
 {
     struct session_list *slp = NULL, *oslp = NULL;
 
-    if (Sessions->session == session) {		/* If first entry */
+    if (Sessions->session == session) {	/* If first entry */
 	slp = Sessions;
 	Sessions = slp->next;
     } else {
@@ -399,9 +401,7 @@
     u_char *bufp;
 
     bufp = snmp_msg_Encode(packet, out_length,
-	session->community, session->community_len,
-	session->Version,
-	pdu);
+	session->community, session->community_len, session->Version, pdu);
     snmplib_debug(8, "LIBSNMP: snmp_build():  Packet len %d (requid %d)\n",
 	*out_length, pdu->reqid);
 
@@ -418,9 +418,7 @@
  */
 u_char *
 snmp_parse(struct snmp_session * session,
-    struct snmp_pdu * pdu,
-    u_char * data,
-    int length)
+    struct snmp_pdu * pdu, u_char * data, int length)
 {
     u_char Community[128];
     u_char *bufp;
@@ -428,8 +426,7 @@
 
     /* Decode the entire message. */
     data = snmp_msg_Decode(data, &length,
-	Community, &CommunityLen,
-	&session->Version, pdu);
+	Community, &CommunityLen, &session->Version, pdu);
     if (data == NULL)
 	return (NULL);
 
@@ -451,7 +448,7 @@
  * The pdu is freed by snmp_send() unless a failure occured.
  */
 #if 0
-int 
+int
 snmp_send(struct snmp_session *session, struct snmp_pdu *pdu)
 {
     struct session_list *slp;
@@ -476,8 +473,7 @@
     }
     if (pdu->command == SNMP_PDU_GET ||
 	pdu->command == SNMP_PDU_GETNEXT ||
-	pdu->command == SNMP_PDU_RESPONSE ||
-	pdu->command == SNMP_PDU_SET) {
+	pdu->command == SNMP_PDU_RESPONSE || pdu->command == SNMP_PDU_SET) {
 
 	if (pdu->reqid == SNMP_DEFAULT_REQID)
 	    pdu->reqid = ++Reqid;
@@ -487,8 +483,7 @@
 	    pdu->errindex = 0;
 
     } else if (pdu->command == SNMP_PDU_INFORM ||
-	    pdu->command == SNMP_PDU_GETBULK ||
-	pdu->command == SNMP_PDU_V2TRAP) {
+	pdu->command == SNMP_PDU_GETBULK || pdu->command == SNMP_PDU_V2TRAP) {
 
 	if (session->Version != SNMP_VERSION_2) {
 	    snmplib_debug(3, "Cant send SNMPv2 PDU's in SNMP message.\n");
@@ -545,10 +540,10 @@
     if (pdu->command == SNMP_PDU_GET ||
 	pdu->command == SNMP_PDU_GETNEXT ||
 	pdu->command == SNMP_PDU_SET ||
-	pdu->command == SNMP_PDU_GETBULK ||
-	pdu->command == SNMP_PDU_INFORM) {
+	pdu->command == SNMP_PDU_GETBULK || pdu->command == SNMP_PDU_INFORM) {
 
-	snmplib_debug(6, "LIBSNMP:  Setting up to recieve a response for reqid %d\n",
+	snmplib_debug(6,
+	    "LIBSNMP:  Setting up to recieve a response for reqid %d\n",
 	    pdu->reqid);
 
 	/* set up to expect a response */
@@ -597,8 +592,7 @@
 	    isp = slp->internal;
 	    fromlength = sizeof from;
 	    length = recvfrom(isp->sd, (char *) packet,
-		PACKET_LENGTH, 0, (struct sockaddr *) &from,
-		&fromlength);
+		PACKET_LENGTH, 0, (struct sockaddr *) &from, &fromlength);
 	    if (length == -1)
 		perror("recvfrom");
 
@@ -620,23 +614,28 @@
 	    sp->community = bufp;
 	    sp->community_len = strlen((char *) bufp);
 
-	    snmplib_debug(6, "LIBSNMP:  Read PDU %s, ReqId %d\n", snmp_pdu_type(pdu), pdu->reqid);
+	    snmplib_debug(6, "LIBSNMP:  Read PDU %s, ReqId %d\n",
+		snmp_pdu_type(pdu), pdu->reqid);
 
 	    if (pdu->command == SNMP_PDU_RESPONSE) {
 		for (rp = isp->requests; rp; rp = rp->next_request) {
 		    if (rp->request_id == pdu->reqid) {
-			snmplib_debug(6, "LIBSNMP:  ReqId %d:  Calling callback\n", pdu->reqid);
-			if (sp->callback(RECEIVED_MESSAGE, sp,
-				pdu->reqid, pdu,
+			snmplib_debug(6,
+			    "LIBSNMP:  ReqId %d:  Calling callback\n",
+			    pdu->reqid);
+			if (sp->callback(RECEIVED_MESSAGE, sp, pdu->reqid, pdu,
 				sp->callback_magic) == 1) {
 			    /* successful, so delete request */
-			    snmplib_debug(6, "LIBSNMP:  ReqId %d:  Success.  Removing ReqId.\n", pdu->reqid);
+			    snmplib_debug(6,
+				"LIBSNMP:  ReqId %d:  Success.  Removing ReqId.\n",
+				pdu->reqid);
 			    orp = rp;
 			    if (isp->requests == orp) {
 				/* first in list */
 				isp->requests = orp->next_request;
 			    } else {
-				for (rp = isp->requests; rp; rp = rp->next_request) {
+				for (rp = isp->requests; rp;
+				    rp = rp->next_request) {
 				    if (rp->next_request == orp) {
 					/* link around it */
 					rp->next_request = orp->next_request;
@@ -652,11 +651,11 @@
 		    }
 		}
 	    } else if (pdu->command == SNMP_PDU_GET ||
-		    pdu->command == SNMP_PDU_GETNEXT ||
-		    pdu->command == TRP_REQ_MSG ||
-		    pdu->command == SNMP_PDU_SET ||
-		    pdu->command == SNMP_PDU_GETBULK ||
-		    pdu->command == SNMP_PDU_INFORM ||
+		pdu->command == SNMP_PDU_GETNEXT ||
+		pdu->command == TRP_REQ_MSG ||
+		pdu->command == SNMP_PDU_SET ||
+		pdu->command == SNMP_PDU_GETBULK ||
+		pdu->command == SNMP_PDU_INFORM ||
 		pdu->command == SNMP_PDU_V2TRAP) {
 		sp->callback(RECEIVED_MESSAGE, sp, pdu->reqid,
 		    pdu, sp->callback_magic);
@@ -717,13 +716,13 @@
 	    requests++;
 	    for (rp = isp->requests; rp; rp = rp->next_request) {
 		if (!timerisset(&earliest) ||
-		    timercmp(&rp->expire, &earliest, <))
-		    earliest = rp->expire;
+		    timercmp(&rp->expire, &earliest, <))earliest = rp->expire;
 	    }
 	}
     }
-    snmplib_debug(6, "LIBSNMP:  Select Info:  %d active, %d requests pending.\n",
-	active, requests);
+    snmplib_debug(6,
+	"LIBSNMP:  Select Info:  %d active, %d requests pending.\n", active,
+	requests);
 
     if (requests == 0)		/* if none are active, skip arithmetic */
 	return active;
@@ -763,7 +762,7 @@
  * from the pdu and is resent.  If there are no more retries available, the 
  * callback for the session is used to alert the user of the timeout.
  */
-void 
+void
 snmp_timeout(void)
 {
     struct session_list *slp;
@@ -784,7 +783,8 @@
 	snmplib_debug(6, "LIBSNMP:  Checking session %s\n",
 	    (sp->peername != NULL) ? sp->peername : "<NULL>");
 	for (rp = isp->requests; rp; rp = rp->next_request) {
-	    snmplib_debug(6, "LIBSNMP:  Checking session request %d, expire at %u, Retry %d/%d\n",
+	    snmplib_debug(6,
+		"LIBSNMP:  Checking session request %d, expire at %u, Retry %d/%d\n",
 		rp->request_id, rp->expire.tv_sec, rp->retries, sp->retries);
 
 	    if (freeme != NULL) {
@@ -825,7 +825,9 @@
 			"sending", rp->pdu->address.sin_addr);
 
 		    gettimeofday(&tv, (struct timezone *) 0);
-		    if (sendto(isp->sd, (char *) packet, length, 0, (struct sockaddr *) &rp->pdu->address, sizeof(rp->pdu->address)) < 0) {
+		    if (sendto(isp->sd, (char *) packet, length, 0,
+			    (struct sockaddr *) &rp->pdu->address,
+			    sizeof(rp->pdu->address)) < 0) {
 			perror("sendto");
 		    }
 		    rp->time = tv;
@@ -846,7 +848,7 @@
 
 
 /* Print some API stats */
-void 
+void
 snmp_api_stats(void *outP)
 {
     struct session_list *slp;
@@ -887,7 +889,8 @@
 	}
 	fprintf(out, "LIBSNMP: ----------------------------------------\n");
     }
-    fprintf(out, "LIBSNMP: Session List: %d active, %d have requests pending.\n",
-	active, requests);
+    fprintf(out,
+	"LIBSNMP: Session List: %d active, %d have requests pending.\n", active,
+	requests);
 }
 #endif
Index: squid/snmplib/snmp_api_error.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_api_error.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.76.1
diff -u -r1.1.1.1 -r1.1.1.1.76.1
--- squid/snmplib/snmp_api_error.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/snmp_api_error.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.76.1
@@ -44,8 +44,7 @@
 
 int snmp_errno = 0;
 
-static char *api_errors[17] =
-{
+static char *api_errors[17] = {
     "Unknown Error",
     "Generic Error",
     "Invalid local port",
@@ -69,7 +68,7 @@
     "Unknown Error"
 };
 
-void 
+void
 snmp_set_api_error(int x)
 {
     snmp_errno = x;
@@ -79,14 +78,13 @@
 snmp_api_error(int err)
 {
     int foo = (err * -1);
-    if ((foo < SNMPERR_GENERR) ||
-	(foo > SNMPERR_LAST))
+    if ((foo < SNMPERR_GENERR) || (foo > SNMPERR_LAST))
 	foo = 0;
 
     return (api_errors[foo]);
 }
 
-int 
+int
 snmp_api_errno(void)
 {
     return (snmp_errno);
Index: squid/snmplib/snmp_error.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/snmplib/snmp_error.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.136.1
diff -u -r1.1.1.1 -r1.1.1.1.136.1
--- squid/snmplib/snmp_error.c	26 Jan 2000 03:21:47 -0000	1.1.1.1
+++ squid/snmplib/snmp_error.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.136.1
@@ -33,8 +33,7 @@
 #include "snmp_error.h"
 
 
-static char *error_string[19] =
-{
+static char *error_string[19] = {
     "No Error",
     "Response message would have been too large.",
     "There is no such variable name in this MIB.",
@@ -42,7 +41,7 @@
     "This variable is read only",
     "A general failure occured",
 
-  /* SNMPv2 Errors */
+    /* SNMPv2 Errors */
     "NOACCESS",
     "WRONGTYPE",
     "WRONGLENGTH",
